/******************************************************************************
 *
 *  Filename:       mxg_msgs.h
 *  Project:        mistralXG Wind synthesiser
 *  Date:           12Apr08
 *  File Version:   01.00
 *
 *
 *  Author:     Steve Russell (pic.projects@ntlworld.com)
 *  Company:    Grapevyne
 *
 *  Copyright:  (C) Steve Russell 2008
 *
 *  This code is available at no charge to individuals for personal, non-profit,
 *  use, and may be used as is or modifed as desired. Further distribution of
 *  this code or a derivative work is allowed as long as this copyright notice
 *  is not removed or modified. Changes to the original code should be clearly
 *  identified.
 *
 *  Any commercial use of this code, or a derivative of it, may only be made
 *  with the written agreement of the copyright holder. "Commercial" in this
 *  context means any activity that requires a user to pay in money or kind
 *  in order to make use of such code.
 *
 *  This file is provided "as is". No claims of suitability for any particular
 *  purpose are made. No liability for any damages (of any sort) resulting from
 *  its use are accepted, no matter how they may arise.
 *
 ******************************************************************************
 * Change log
 * ----------
 * 16Jul08 - changed display flags to support USB connected and single flag for
 *           WX5, MIDI and USB
 *
 *****************************************************************************/
 
/******************************************************************************
 * mistralXG LCD messages
 *****************************************************************************/
#ifndef __MXG_MSGS_H
#define __MXG_MSGS_H


#define STARTROW1 0x00	// Address of first character in row 1
#define STARTROW2 0x40	// Address of first character in row 2

// Defines for user option flags
#define ERRFLAG     sHome[9]
#define USBFLAG     sHome[10]
#define MIDIFLAG    sHome[11]
#define THRUFLAG    sHome[12]
#define OUTFLAG     sHome[13]
#define RSFLAG      sHome[14]
#define FILTFLAG    sHome[15]
/*********************************/
extern rom char sSplash[];
extern rom char sCpyrght[]; 
extern char sHome[];        // This is in RAM because the flag values change
extern BYTE sActivity[];
extern rom char sExtMidi[];
extern rom char sExtInput[];
extern rom char sExtInt[];
extern rom char sSynthSel[];
extern rom char sExtThru[];
extern rom char sEnable[];
extern rom char sMidiOut[];
extern rom char sRunStat[];
extern rom char sFilter[];
extern rom char sBacklight[];
extern rom char eResetCtrs[];
extern rom char eResetAll[];

//extern rom char sNoYes[];
extern rom char sErrors[];
extern rom char eResetErr[];
extern rom char * rom errdisp[];

#endif // _MXG_MSGS_H