/******************************************************************************
 *
 *  Filename:       user.h
 *  Project:        mistralXG Wind synthesiser
 *  Date:           12Apr08
 *  File Version:   01.00
 *
 *
 *  Author:     Steve Russell (pic.projects@ntlworld.com)
 *  Company:    Grapevyne
 *
 *  Copyright:  (C) Steve Russell 2008
 *
 *  This code is available at no charge to individuals for personal, non-profit,
 *  use, and may be used as is or modifed as desired. Further distribution of
 *  this code or a derivative work is allowed as long as this copyright notice
 *  is not removed or modified. Changes to the original code should be clearly
 *  identified.
 *
 *  Any commercial use of this code, or a derivative of it, may only be made
 *  with the written agreement of the copyright holder. "Commercial" in this
 *  context means any activity that requires a user to pay in money or kind
 *  in order to make use of such code.
 *
 *  This file is provided "as is". No claims of suitability for any particular
 *  purpose are made. No liability for any damages (of any sort) resulting from
 *  its use are accepted, no matter how they may arise.
 *
 ******************************************************************************
 * Change log
 * ----------
 *
 *
 *
 *****************************************************************************/
#ifndef USER_H
#define USER_H

/** I N C L U D E S **********************************************************/
#include "system\typedefs.h"
#include "autofiles\usbcfg.h"


/** S T R U C T U R E S ******************************************************/

/** P U B L I C  P R O T O T Y P E S *****************************************/
void UserInit(void);
void ProcessIO(void);


/** EXTERN VARIABLES ***********/
extern BOOL USBActive;


// User switches (used to be BOOLs - changed to simplify storing in EEPROM)
extern BYTE userOptions;        // A bit-mapped byte holding the options
//extern BOOL	WX5Sel;		    // TRUE: WX5 data, FALSE: Ext MIDI IN data
#define WX5Sel userOptions.b0

//extern BOOL	EnIntMIDI;	    // TRUE: Data from PC USB, FALSE: Data from WX5/Ext
#define EnIntMIDI userOptions.b1

//extern BOOL	EnMIDIThru;	    // TRUE: Enable MIDI Thru from WX5/Ext
#define EnMIDIThru userOptions.b2

//extern BOOL	EnMIDIOut;	// TRUE: Enables PC USB MIDI output
#define EnMIDIOut userOptions.b3

//extern BOOL	EnRunStatus;// TRUE: Enable running status on output stream from USB
#define EnRunStatus userOptions.b4

//extern BOOL	FilterMIDIIn;// TRUE: Remove invalid data from input stream to USB
#define FilterMIDIIn userOptions.b5

// This is used as a flag to indicate that the user has changed the options
#define optsChange  userOptions.b7

#endif //PICDEM_FS_DEMO_H
